Skip to content

v2

Open Chat Studio API version v2.

Build, deploy and monitor chatbots.

LLM Docs

Simplified per-tag references for LLM consumption:

  • Channels — Trigger bot messages or deliver messages directly to users on a channel.
  • Chatbots — List, retrieve and inspect chatbots (v2; formerly 'experiments').
  • Me — Information about the authenticated user and the team the token is scoped to.
  • Pipelines — Discover the node types a pipeline may contain and the resource ids it may reference, and edit a chatbot's pipeline a node at a time.
  • Usage — Inspect team usage and activity data (message counts, and more).

Endpoints

Channels

Method Path Summary
POST /api/v2/trigger_bot/ Trigger the bot to send a message to the user, or deliver a message directly

Chatbots

Method Path Summary
GET /api/v2/chatbot/options/ List Chatbot Setting Options
GET /api/v2/chatbots/ List Chatbots
POST /api/v2/chatbots/ Create Chatbot
GET /api/v2/chatbots/{id}/ Retrieve Chatbot
PATCH /api/v2/chatbots/{id}/ Update Chatbot
GET /api/v2/chatbots/{id}/inspect/ Inspect Chatbot

Me

Method Path Summary
GET /api/v2/me/ Current User

Pipelines

Method Path Summary
POST /api/v2/chatbots/{id}/pipeline/edges/ Wire Pipeline Nodes
DELETE /api/v2/chatbots/{id}/pipeline/edges/{edge_id}/ Unwire two Pipeline Nodes
POST /api/v2/chatbots/{id}/pipeline/nodes/ Add a Pipeline Node
PATCH /api/v2/chatbots/{id}/pipeline/nodes/{node_id}/ Edit a Pipeline Node
DELETE /api/v2/chatbots/{id}/pipeline/nodes/{node_id}/ Remove a Pipeline Node
GET /api/v2/pipeline/nodes/ List Pipeline Node Types
GET /api/v2/pipeline/nodes/{node_type}/ Retrieve a Pipeline Node Type
GET /api/v2/pipeline/options/ List Pipeline Node Options
GET /api/v2/pipeline/options/{node_type}/ List One Node Type's Options

Usage

Method Path Summary
GET /api/v2/usage/ Usage